import React from 'react'
import PropTypes from 'prop-types'

export default function Button({ className, children, ...props }) {
  return (
    <button
      className={`focus:outline-none flex items-center ${className}`}
      {...props}
    >
      {children}
      <span>
        <i className={props.icon}/>
        {props.value}
      </span>
    </button>
  )
}

Button.propTypes = {
  children: PropTypes.oneOfType([PropTypes.object, PropTypes.array]),
  className: PropTypes.string,
}
