import React from 'react'
import PropTypes from 'prop-types'
import FlashMessages from '@/Shared/FlashMessages'

export default function Content({ children, pageTitle }) {
  return (
    <div className='content-wrapper'>
      <div className='content-header'>
        <div className='container-fluid'>
          <div className='row tw-mb-2'>
            <div className='col-sm-6'>
              <h1 className='m-0 text-dark'>{pageTitle}</h1>
            </div>
          </div>
          <FlashMessages />
          <article>{children}</article>
        </div>
      </div>
    </div>
  )
}

Content.propTypes = {
  children: PropTypes.oneOfType([PropTypes.array, PropTypes.object]),
  pageTitle: PropTypes.string,
}
