import React, { useEffect } from 'react'
import PropTypes from 'prop-types'
import Header from '@/Shared/Header'
import SideBar from '@/Shared/SideBar'
import Content from '@/Shared/Content'
import Footer from '@/Shared/Footer'

export default function Layout({ title, children }) {
  useEffect(() => {
    document.title = title
  }, [title])

  return (
    <div className='wrapper'>
      <Header />
      <SideBar pageTitle={title} />
      <Content pageTitle={title}>{children}</Content>
      <Footer />
    </div>
  )
}

Layout.propTypes = {
  children: PropTypes.oneOfType([PropTypes.object, PropTypes.array]),
  title: PropTypes.string,
}
