const mix = require('laravel-mix')
const path = require('path')
const tailwindcss = require('tailwindcss')
const webpack = require('webpack')

var config = {
  plugins: [
    new webpack.optimize.LimitChunkCountPlugin({
      maxChunks: 1,
    }),
  ],
  resolve: {
    alias: {
      '@': path.resolve('resources/js'),
    },
  },
}

mix
  .webpackConfig(config)
  .copy(
    'node_modules/admin-lte/dist/css/adminlte.min.css',
    'dist/plugins/adminlte/css',
  )
  .copy(
    'node_modules/admin-lte/dist/css/adminlte.css.map',
    'dist/plugins/adminlte/css',
  )
  .copy(
    'node_modules/admin-lte/dist/js/adminlte.min.js',
    'dist/plugins/adminlte/js',
  )
  .copy(
    'node_modules/admin-lte/dist/js/adminlte.min.js.map',
    'dist/plugins/adminlte/js',
  )
  .copy('node_modules/jquery/dist/jquery.js', 'dist/plugins/jquery')
  .js(
    ['node_modules/chart.js/dist/Chart.js', 'resources/js/Graphs/bar.js'],
    'dist/js/graphs.js',
  )
  .sass('resources/sass/app.scss', 'dist/css')
  .sass('resources/sass/graphs.scss', 'dist/css')
  .options({
    processCssUrls: false,
    postCss: [tailwindcss('tailwind.config.js')],
  })
  .sourceMaps()

mix
  .webpackConfig(config)
  .react('resources/js/app.js', 'dist/js')
  .sourceMaps()
